Подключение Firebase

Сеть в Unity3D

Подключение Firebase

Сообщение dragon090 11 ноя 2021, 20:44

Добрый день. Подключаю платформу Firebase к Unity по инструкции с официального сайта Firebasehttps://firebase.google.com/docs/unity/setup#analytics-enabled. Зарегистрировал приложение на сайте, скачал файл конфигурации, поместил в папку Assets. Затем необходимо скачать SDK, скачал, разархивировал, затем добавляю Firebase Anatytics посредством Assets - Import Package - Custom Package. Файлы импортируются в Unity, затем начинается процесс Resolving Android Dependencies. Тут то и проблема. Установка зависает на 0% и потом выдается ошибка (приложу вместе с текстом из окна Resolving Android Dependencies).
Синтаксис:
Используется csharp
Running Gradle...

/Users/bogdangeza/ServicesOnline/Temp/PlayServicesResolverGradle/gradlew --daemon -b "/Users/bogdangeza/ServicesOnline/Temp/PlayServicesResolverGradle/PlayServicesResolver.scripts.download_artifacts.gradle" "-PANDROID_HOME=/Applications/Unity/Hub/Editor/2020.3.19f1/PlaybackEngines/AndroidPlayer/SDK" "-PTARGET_DIR=/Users/bogdangeza/ServicesOnline/Assets/Plugins/Android" "-PMAVEN_REPOS=file:////Users/bogdangeza/ServicesOnline/Assets/Firebase/m2repository" "-PPACKAGES_TO_COPY=com.google.firebase:firebase-analytics:19.0.0;com.google.firebase:firebase-analytics-unity:8.6.0;com.google.firebase:firebase-common:20.0.0;com.google.android.gms:play-services-base:17.6.0;com.google.firebase:firebase-app-unity:8.6.0;com.google.firebase:firebase-auth:21.0.1;com.google.firebase:firebase-auth-unity:8.6.0;com.google.firebase:firebase-database:20.0.0;com.google.firebase:firebase-database-unity:8.6.0" "-PUSE_JETIFIER=0" "-PDATA_BINDING_VERSION=4.0.1"
Executing command: /Users/bogdangeza/ServicesOnline/Temp/PlayServicesResolverGradle/gradlew --daemon -b "/Users/bogdangeza/ServicesOnline/Temp/PlayServicesResolverGradle/PlayServicesResolver.scripts.download_artifacts.gradle" "-PANDROID_HOME=/Applications/Unity/Hub/Editor/2020.3.19f1/PlaybackEngines/AndroidPlayer/SDK" "-PTARGET_DIR=/Users/bogdangeza/ServicesOnline/Assets/Plugins/Android" "-PMAVEN_REPOS=file:////Users/bogdangeza/ServicesOnline/Assets/Firebase/m2repository" "-PPACKAGES_TO_COPY=com.google.firebase:firebase-analytics:19.0.0;com.google.firebase:firebase-analytics-unity:8.6.0;com.google.firebase:firebase-common:20.0.0;com.google.android.gms:play-services-base:17.6.0;com.google.firebase:firebase-app-unity:8.6.0;com.google.firebase:firebase-auth:21.0.1;com.google.firebase:firebase-auth-unity:8.6.0;com.google.firebase:firebase-database:20.0.0;com.google.firebase:firebase-database-unity:8.6.0" "-PUSE_JETIFIER=0" "-PDATA_BINDING_VERSION=4.0.1"
Reporting analytics data: /androidresolver/resolve/gradle/failed/fetch?unityVersion=2020.3.19f1&unityPlatform=OSXEditor&installSource=unitypackage&version=1.2.167&scope= 'Android Resolver: Gradle Resolve: Tool Extraction Failed'
ERROR: Gradle failed to fetch dependencies.
Failed to run '/Users/bogdangeza/ServicesOnline/Temp/PlayServicesResolverGradle/gradlew --daemon -b "/Users/bogdangeza/ServicesOnline/Temp/PlayServicesResolverGradle/PlayServicesResolver.scripts.download_artifacts.gradle" "-PANDROID_HOME=/Applications/Unity/Hub/Editor/2020.3.19f1/PlaybackEngines/AndroidPlayer/SDK" "-PTARGET_DIR=/Users/bogdangeza/ServicesOnline/Assets/Plugins/Android" "-PMAVEN_REPOS=file:////Users/bogdangeza/ServicesOnline/Assets/Firebase/m2repository" "-PPACKAGES_TO_COPY=com.google.firebase:firebase-analytics:19.0.0;com.google.firebase:firebase-analytics-unity:8.6.0;com.google.firebase:firebase-common:20.0.0;com.google.android.gms:play-services-base:17.6.0;com.google.firebase:firebase-app-unity:8.6.0;com.google.firebase:firebase-auth:21.0.1;com.google.firebase:firebase-auth-unity:8.6.0;com.google.firebase:firebase-database:20.0.0;com.google.firebase:firebase-database-unity:8.6.0" "-PUSE_JETIFIER=0" "-PDATA_BINDING_VERSION=4.0.1"'
stdout:

stderr:
Exception in thread "main" java.lang.RuntimeException: Timeout of 120000 reached waiting for exclusive access to file: /Users/bogdangeza/.gradle/wrapper/dists/gradle-5.1.1-bin/90y9l8txxfw1s2o6ctiqeruwn/gradle-5.1.1-bin.zip
        at org.gradle.wrapper.ExclusiveFileAccessManager.access(ExclusiveFileAccessManager.java:61)
        at org.gradle.wrapper.Install.createDist(Install.java:48)
        at org.gradle.wrapper.WrapperExecutor.execute(WrapperExecutor.java:128)
        at org.gradle.wrapper.GradleWrapperMain.main(GradleWrapperMain.java:61)

exit code: 1


Также, приложу ошибку из консоли
Синтаксис:
Используется csharp
Gradle failed to fetch dependencies.

Failed to run '/Users/bogdangeza/ServicesOnline/Temp/PlayServicesResolverGradle/gradlew --daemon -b "/Users/bogdangeza/ServicesOnline/Temp/PlayServicesResolverGradle/PlayServicesResolver.scripts.download_artifacts.gradle" "-PANDROID_HOME=/Applications/Unity/Hub/Editor/2020.3.19f1/PlaybackEngines/AndroidPlayer/SDK" "-PTARGET_DIR=/Users/bogdangeza/ServicesOnline/Assets/Plugins/Android" "-PMAVEN_REPOS=file:////Users/bogdangeza/ServicesOnline/Assets/Firebase/m2repository" "-PPACKAGES_TO_COPY=com.google.firebase:firebase-analytics:19.0.0;com.google.firebase:firebase-analytics-unity:8.6.0;com.google.firebase:firebase-common:20.0.0;com.google.android.gms:play-services-base:17.6.0;com.google.firebase:firebase-app-unity:8.6.0;com.google.firebase:firebase-auth:21.0.1;com.google.firebase:firebase-auth-unity:8.6.0;com.google.firebase:firebase-database:20.0.0;com.google.firebase:firebase-database-unity:8.6.0" "-PUSE_JETIFIER=0" "-PDATA_BINDING_VERSION=4.0.1"'
stdout:

stderr:
Exception in thread "main" java.lang.RuntimeException: Timeout of 120000 reached waiting for exclusive access to file: /Users/bogdangeza/.gradle/wrapper/dists/gradle-5.1.1-bin/90y9l8txxfw1s2o6ctiqeruwn/gradle-5.1.1-bin.zip
        at org.gradle.wrapper.ExclusiveFileAccessManager.access(ExclusiveFileAccessManager.java:61)
        at org.gradle.wrapper.Install.createDist(Install.java:48)
        at org.gradle.wrapper.WrapperExecutor.execute(WrapperExecutor.java:128)
        at org.gradle.wrapper.GradleWrapperMain.main(GradleWrapperMain.java:61)

exit code: 1

UnityEngine.Debug:LogError (object)
Google.Logger:Log (string,Google.LogLevel) (at Z:/tmp/tmp.5Py4Z8LfA6/third_party/unity/unity_jar_resolver/source/VersionHandlerImpl/src/Logger.cs:136)
GooglePlayServices.PlayServicesResolver:Log (string,Google.LogLevel) (at Z:/tmp/tmp.EzPStKl3ZS/third_party/unity/unity_jar_resolver/source/AndroidResolver/src/PlayServicesResolver.cs:1055)
GooglePlayServices.GradleResolver/<GradleResolution>c__AnonStorey1:<>m__2 (GooglePlayServices.CommandLine/Result) (at Z:/tmp/tmp.EzPStKl3ZS/third_party/unity/unity_jar_resolver/source/AndroidResolver/src/GradleResolver.cs:459)
GooglePlayServices.GradleResolver/<GradleResolution>c__AnonStorey1/<GradleResolution>c__AnonStorey3:<>m__0 () (at Z:/tmp/tmp.EzPStKl3ZS/third_party/unity/unity_jar_resolver/source/AndroidResolver/src/GradleResolver.cs:572)
Google.RunOnMainThread:ExecuteNext () (at Z:/tmp/tmp.5Py4Z8LfA6/third_party/unity/unity_jar_resolver/source/VersionHandlerImpl/src/RunOnMainThread.cs:486)
Google.RunOnMainThread:<ExecuteAllUnnested>m__1 () (at Z:/tmp/tmp.5Py4Z8LfA6/third_party/unity/unity_jar_resolver/source/VersionHandlerImpl/src/RunOnMainThread.cs:536)
Google.RunOnMainThread:RunAction (System.Action) (at Z:/tmp/tmp.5Py4Z8LfA6/third_party/unity/unity_jar_resolver/source/VersionHandlerImpl/src/RunOnMainThread.cs:343)
Google.RunOnMainThread:ExecuteAllUnnested (bool) (at Z:/tmp/tmp.5Py4Z8LfA6/third_party/unity/unity_jar_resolver/source/VersionHandlerImpl/src/RunOnMainThread.cs:530)
Google.RunOnMainThread:ExecuteAll () (at Z:/tmp/tmp.5Py4Z8LfA6/third_party/unity/unity_jar_resolver/source/VersionHandlerImpl/src/RunOnMainThread.cs:512)
UnityEditor.EditorApplication:Internal_CallUpdateFunctions () (at /Users/bokken/buildslave/unity/build/Editor/Mono/EditorApplication.cs:327)
 

Синтаксис:
Используется csharp
Resolution failed

Failed to fetch the following dependencies:
com.google.firebase:firebase-analytics:19.0.0
com.google.firebase:firebase-analytics-unity:8.6.0
com.google.firebase:firebase-common:20.0.0
com.google.android.gms:play-services-base:17.6.0
com.google.firebase:firebase-app-unity:8.6.0
com.google.firebase:firebase-auth:21.0.1
com.google.firebase:firebase-auth-unity:8.6.0
com.google.firebase:firebase-database:20.0.0
com.google.firebase:firebase-database-unity:8.6.0


UnityEngine.Debug:LogError (object)
Google.Logger:Log (string,Google.LogLevel) (at Z:/tmp/tmp.5Py4Z8LfA6/third_party/unity/unity_jar_resolver/source/VersionHandlerImpl/src/Logger.cs:136)
GooglePlayServices.PlayServicesResolver:Log (string,Google.LogLevel) (at Z:/tmp/tmp.EzPStKl3ZS/third_party/unity/unity_jar_resolver/source/AndroidResolver/src/PlayServicesResolver.cs:1055)
GooglePlayServices.GradleResolver:LogMissingDependenciesError (System.Collections.Generic.List`1<string>) (at Z:/tmp/tmp.EzPStKl3ZS/third_party/unity/unity_jar_resolver/source/AndroidResolver/src/GradleResolver.cs:95)
GooglePlayServices.GradleResolver/<DoResolutionUnsafe>c__AnonStorey8:<>m__1 (System.Collections.Generic.List`1<Google.JarResolver.Dependency>) (at Z:/tmp/tmp.EzPStKl3ZS/third_party/unity/unity_jar_resolver/source/AndroidResolver/src/GradleResolver.cs:920)
GooglePlayServices.GradleResolver/<GradleResolution>c__AnonStorey1:<>m__0 () (at Z:/tmp/tmp.EzPStKl3ZS/third_party/unity/unity_jar_resolver/source/AndroidResolver/src/GradleResolver.cs:383)
GooglePlayServices.GradleResolver/<GradleResolution>c__AnonStorey1:<>m__2 (GooglePlayServices.CommandLine/Result) (at Z:/tmp/tmp.EzPStKl3ZS/third_party/unity/unity_jar_resolver/source/AndroidResolver/src/GradleResolver.cs:462)
GooglePlayServices.GradleResolver/<GradleResolution>c__AnonStorey1/<GradleResolution>c__AnonStorey3:<>m__0 () (at Z:/tmp/tmp.EzPStKl3ZS/third_party/unity/unity_jar_resolver/source/AndroidResolver/src/GradleResolver.cs:572)
Google.RunOnMainThread:ExecuteNext () (at Z:/tmp/tmp.5Py4Z8LfA6/third_party/unity/unity_jar_resolver/source/VersionHandlerImpl/src/RunOnMainThread.cs:486)
Google.RunOnMainThread:<ExecuteAllUnnested>m__1 () (at Z:/tmp/tmp.5Py4Z8LfA6/third_party/unity/unity_jar_resolver/source/VersionHandlerImpl/src/RunOnMainThread.cs:536)
Google.RunOnMainThread:RunAction (System.Action) (at Z:/tmp/tmp.5Py4Z8LfA6/third_party/unity/unity_jar_resolver/source/VersionHandlerImpl/src/RunOnMainThread.cs:343)
Google.RunOnMainThread:ExecuteAllUnnested (bool) (at Z:/tmp/tmp.5Py4Z8LfA6/third_party/unity/unity_jar_resolver/source/VersionHandlerImpl/src/RunOnMainThread.cs:530)
Google.RunOnMainThread:ExecuteAll () (at Z:/tmp/tmp.5Py4Z8LfA6/third_party/unity/unity_jar_resolver/source/VersionHandlerImpl/src/RunOnMainThread.cs:512)
UnityEditor.EditorApplication:Internal_CallUpdateFunctions () (at /Users/bokken/buildslave/unity/build/Editor/Mono/EditorApplication.cs:327)
 



Устройство - Mac Book Air, Unity 2020.3.19f1.

По советам в интернете скачал Graddle, прописал путь в Terminal'e к "Java Home", удалял папку Assets - Plugins - Android. Ничего не помогло. Подскажите как правильно сделать. Спасибо за помощь.
dragon090
UNец
 
Сообщения: 9
Зарегистрирован: 12 дек 2018, 15:56

Re: Подключение Firebase

Сообщение DbIMok 12 ноя 2021, 17:01

должно работать с тем что из коробки. что пишет java -version? 1.8.0?
правильный вопрос - половина ответа. учитесь формулировать вопросы понятно.
Новости > _Telegram чат @unity3d_ru (11.6k/4.8k online) > _Telegram канал @unity_news (4.8k подписчиков) > Телеграм тема > "Спасибо"
Аватара пользователя
DbIMok
Адепт
 
Сообщения: 6372
Зарегистрирован: 31 июл 2009, 14:05

Re: Подключение Firebase

Сообщение dragon090 19 ноя 2021, 08:45

DbIMok писал(а):должно работать с тем что из коробки. что пишет java -version? 1.8.0?


java version "17.0.1" 2021-10-19 LTS
Java(TM) SE Runtime Environment (build 17.0.1+12-LTS-39)
Java HotSpot(TM) 64-Bit Server VM (build 17.0.1+12-LTS-39, mixed mode, sharing)
dragon090
UNец
 
Сообщения: 9
Зарегистрирован: 12 дек 2018, 15:56

Re: Подключение Firebase

Сообщение DbIMok 19 ноя 2021, 16:51

в этом и причина. юнити нужна 8-ая версия java (JDK. OpenJDK)
https://docs.unity3d.com/Manual/android-sdksetup.html
используйте ту что поставляется с юнити
либо удалите 17 и поставьте вместо нее 8
либо, если 17 тоже нужна, запускайте Unity Hub через командный файл с setx JAVA_HOME "путь к JDK версии 8"
правильный вопрос - половина ответа. учитесь формулировать вопросы понятно.
Новости > _Telegram чат @unity3d_ru (11.6k/4.8k online) > _Telegram канал @unity_news (4.8k подписчиков) > Телеграм тема > "Спасибо"
Аватара пользователя
DbIMok
Адепт
 
Сообщения: 6372
Зарегистрирован: 31 июл 2009, 14:05

Re: Подключение Firebase

Сообщение dragon090 23 ноя 2021, 12:02

DbIMok писал(а):в этом и причина. юнити нужна 8-ая версия java (JDK. OpenJDK)
https://docs.unity3d.com/Manual/android-sdksetup.html
используйте ту что поставляется с юнити
либо удалите 17 и поставьте вместо нее 8
либо, если 17 тоже нужна, запускайте Unity Hub через командный файл с setx JAVA_HOME "путь к JDK версии 8"


так я и использую jdk, установленное untiy - 1.8.0. Удалил всю java через terminal, в Unity выставлено использование jdk, установленное Unity. все равно та же ошибка
dragon090
UNец
 
Сообщения: 9
Зарегистрирован: 12 дек 2018, 15:56

Re: Подключение Firebase

Сообщение DbIMok 23 ноя 2021, 13:43

угу, я внимательнее прочитал логи, это не похоже на случай неправильной jdk. пишут, что причина в проблемах в сетевом соединении. насколько я понимаю, какой-то процесс качает файл во временную папку, другой ждет его окончания 120 секунд, проверяя эксклюзивный доступ к файлу. если за это время файл не докачался, ожидающий процесс завершается с ошибкой. в профилактических целях рекомендуется перезагрузиться (чтобы "отпустило" залоченные файлики) и удалить папку C:\Users\bogdangeza\.gradle (если ее не видно, включите показ скрытых файлов)
правильный вопрос - половина ответа. учитесь формулировать вопросы понятно.
Новости > _Telegram чат @unity3d_ru (11.6k/4.8k online) > _Telegram канал @unity_news (4.8k подписчиков) > Телеграм тема > "Спасибо"
Аватара пользователя
DbIMok
Адепт
 
Сообщения: 6372
Зарегистрирован: 31 июл 2009, 14:05

Re: Подключение Firebase

Сообщение dragon090 29 ноя 2021, 14:38

DbIMok писал(а):угу, я внимательнее прочитал логи, это не похоже на случай неправильной jdk. пишут, что причина в проблемах в сетевом соединении. насколько я понимаю, какой-то процесс качает файл во временную папку, другой ждет его окончания 120 секунд, проверяя эксклюзивный доступ к файлу. если за это время файл не докачался, ожидающий процесс завершается с ошибкой. в профилактических целях рекомендуется перезагрузиться (чтобы "отпустило" залоченные файлики) и удалить папку C:\Users\bogdangeza\.gradle (если ее не видно, включите показ скрытых файлов)


Огромное спасибо, помогло.
dragon090
UNец
 
Сообщения: 9
Зарегистрирован: 12 дек 2018, 15:56


Вернуться в Сеть

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 6